Name: ip4areas
Version: 0.4.50
Release: 0

Summary: IPv4 addresses manipulations for C++
License: LGPL
Group: System/Libraries
Url: http://www.croco.net/software/ip4areas/

Source: ftp://ftp.croco.net/pub/software/croco/ip4areas/%name-%version.tgz
BuildRequires: gcc-c++

%description
The ip4areas library is a collection of C++ classes to work with
ip-addresses (I mean IPv4 addresses hereinafter), masks, subnets and,
finally, arbitrary sets of addresses (ip areas) which are represented as
optimized sorted lists of subnets.

The library provides methods of reading text representations of
ip-addresses as well as generating such representations (which can then be
printed) 

#  %package devel
#  Summary: Libraries, includes to develop applications with %name
#  Group: Development/Libraries
#  Requires: %name = %version
#  
#  %description devel
#  The %name-devel package contains the header files and static libraries for
#  building applications which use %name.

%prep
%setup -q

%build
make

%install
make DESTDIR=%buildroot PREFIX=%prefix INSTALLMODE=native install

%post 
%post_ldconfig

%postun
%postun_ldconfig

# %files devel
%files
%_libdir/lib*.a
%dir %_includedir/%name
%_includedir/%name/*.hpp

%changelog
* Tue Feb 06 2007 Andrey Vikt Stolyarov <avst at cs.msu.su> 0.4.50
- the initial version of the spec
