// +-------------------------------------------------------------------------+
// |                     IP4areas library vers. 0.4.50                       |
// | Copyright (c) Andrey Vikt. Stolyarov <crocodil_AT_croco.net>  2002-2007 |
// | ----------------------------------------------------------------------- |
// | This is free software.  Permission is granted to everyone to use, copy  |
// |        or modify this software under the terms and conditions of        |
// |                 GNU LESSER GENERAL PUBLIC LICENSE, v. 2.1               |
// |     as published by Free Software Foundation (see the file LGPL.txt)    |
// |                                                                         |
// | Please visit http://www.croco.net/software/ip4areas to get a fresh copy |
// | ----------------------------------------------------------------------- |
// |   This code is provided strictly and exclusively on the "AS IS" basis.  |
// | !!! THERE IS NO WARRANTY OF ANY KIND, NEITHER EXPRESSED NOR IMPLIED !!! |
// +-------------------------------------------------------------------------+




#ifndef SENTRY_TESTS_HPP___
#define SENTRY_TESTS_HPP___


void TestSection(const char *name);

void TestSubsection(const char *name);

bool Testfl(const char *name, const char *file, int line,
            bool result);
bool Testfl(const char *name, const char *file, int line,
            const char *tst, const char *expected);
bool Testfl(const char *name, const char *file, int line,
            long tst, long expected);

#define TESTB(name, res) \
      Testfl(name, __FILE__, __LINE__, res)

#define TEST(name, res, pattern) \
      Testfl(name, __FILE__, __LINE__, res, pattern)

#define TESTTR(name, res, pattern) \
      Testfl(name, __FILE__, __LINE__, \
          (res)->TextRepresentation().c_str(), pattern)

#define TESTC(name, res, pattern) \
      Testfl(name, __FILE__, __LINE__, (res) == (pattern))


void TestScore();



#endif
