//  FFazenda vers. 1.65                     
//  Copyright (c) Unicontrollers, Ltd., 2013--2016.  All rights reserved.
//  Written by Andrey V. Stolyarov.
// 
//  This is free software.  Permission is granted to everyone to use, copy 
//  or modify this software under the terms and conditions of 
//  GNU GENERAL PUBLIC LICENSE, v.3.0
//  as published by Free Software Foundation (see the file gpl-3.0.txt)   
//                                                                         
//  Please visit http://www.unicontrollers/soft/ffazenda to get a fresh copy
//  This code is provided strictly and exclusively on the "AS IS" basis. 
//  THERE IS NO WARRANTY OF ANY KIND, NEITHER EXPRESSED NOR IMPLIED NOR
//  WHATEVER YOU CAN, OR CAN'T, IMAGINE.  IF THIS IS IMPOSSIBLE DUE TO LOCAL
//  LAW REGULATIONS, THEN THE LICENCE IS AUTOMATICALLY REVOKED FOR USERS WHO
//  LIVE IN SUCH LEGAL SYSTEMS.
// 




#ifndef ACTION_HPP_SENTRY
#define ACTION_HPP_SENTRY

/*
    @ACT+ <id>     register activity that prevents from going to security mode
    @ACT- <id>     unregister activity
    @LN+ <name>    line on  
    @LN- <name>    line off
    @SET <var_name> <value>...
    @RESTART       restart the program
    @QUIT          terminate the program
*/

bool perform_action(const char *action);

bool ready_for_security_now();

void action_memorize_selector(class SUEEventSelector *sel);
bool action_should_restart();

#endif
