//  FFazenda vers. 1.65                     
//  Copyright (c) Unicontrollers, Ltd., 2013--2016.  All rights reserved.
//  Written by Andrey V. Stolyarov.
// 
//  This is free software.  Permission is granted to everyone to use, copy 
//  or modify this software under the terms and conditions of 
//  GNU GENERAL PUBLIC LICENSE, v.3.0
//  as published by Free Software Foundation (see the file gpl-3.0.txt)   
//                                                                         
//  Please visit http://www.unicontrollers/soft/ffazenda to get a fresh copy
//  This code is provided strictly and exclusively on the "AS IS" basis. 
//  THERE IS NO WARRANTY OF ANY KIND, NEITHER EXPRESSED NOR IMPLIED NOR
//  WHATEVER YOU CAN, OR CAN'T, IMAGINE.  IF THIS IS IMPOSSIBLE DUE TO LOCAL
//  LAW REGULATIONS, THEN THE LICENCE IS AUTOMATICALLY REVOKED FOR USERS WHO
//  LIVE IN SUCH LEGAL SYSTEMS.
// 




#ifndef FFAZENDA_ONEWIRE_HPP_SENTRY
#define FFAZENDA_ONEWIRE_HPP_SENTRY

#include <scriptpp/scrvar.hpp>

enum { ow_no_temperature = (short)0x8000 };

void init_onewire_info();
void init_onewire_state();
void handle_onewire_info(int id, unsigned char ow_id[8],
                         int temperature = ow_no_temperature);
   // NOTE temperature here is "raw" as received from the sensor

ScriptVariable onewire_report();

int onewire_get_temperature(const char *sens_id);

#endif
