//  FFazenda vers. 1.65                     
//  Copyright (c) Unicontrollers, Ltd., 2013--2016.  All rights reserved.
//  Written by Andrey V. Stolyarov.
// 
//  This is free software.  Permission is granted to everyone to use, copy 
//  or modify this software under the terms and conditions of 
//  GNU GENERAL PUBLIC LICENSE, v.3.0
//  as published by Free Software Foundation (see the file gpl-3.0.txt)   
//                                                                         
//  Please visit http://www.unicontrollers/soft/ffazenda to get a fresh copy
//  This code is provided strictly and exclusively on the "AS IS" basis. 
//  THERE IS NO WARRANTY OF ANY KIND, NEITHER EXPRESSED NOR IMPLIED NOR
//  WHATEVER YOU CAN, OR CAN'T, IMAGINE.  IF THIS IS IMPOSSIBLE DUE TO LOCAL
//  LAW REGULATIONS, THEN THE LICENCE IS AUTOMATICALLY REVOKED FOR USERS WHO
//  LIVE IN SUCH LEGAL SYSTEMS.
// 




#ifndef RUNFILE_HPP_SENTRY
#define RUNFILE_HPP_SENTRY

#include <scriptpp/scrvar.hpp>

void runfile_init(const char *runfile_name);

ScriptVariable runfile_get_state();
void runfile_set_state(const char *state);

ScriptVariable runfile_get_tempwm(const char *name, int index);
void runfile_set_tempwm(const char *name, int index, const char *v);

ScriptVariable runfile_get_variable(const char *name);
bool runfile_set_variable(const char *name, const char *value);

enum synced_output_states {
    synced_output_unset,
    synced_output_on,
    synced_output_off
};
synced_output_states runfile_get_output(const char *name);
void runfile_set_output(const char *name, bool st);

#endif
